using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.UI
{
	internal interface INodeEngine
	{
		public SkyscraperUiNode EnsureNodeExists(params string[] path);
		public void RunOnUiThread(Action action);
		public bool TestForNode(params string[] path);
		public void SetIcon(SkyscraperUiNode node, int index);
	}
}
